Summary: SPARC OpenPROM dump utility
Name:		prtconf
Version:	1.3
Release:	4.0.6
ExclusiveArch:	sparc sparc64
License:	GPL
Group:		Utilities/System
Source:		sunsite.mff.cuni.cz/OS/Linux/Sparc/local/prtconf/prtconf-1.3.tgz
Patch1:		prtconf-openprom.modules.patch
Patch2:		0001-tweek-for-gpt.patch
Patch3:     prtconf-fix-sun4-version.patch
Patch4:     prtconf-eeprom-fixes-obppathnames.patch
Patch5:     prtconf-compatible_display_fix.patch
Patch6:     prtconf-text_format.patch
Patch7:     prtconf-eeprom-displays-node-property.patch
Patch8:     0001-sparc64-Print-the-correct-PROM-path-for-block-device.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Utility to dump SPARC OpenPROM device tree
in the format similar to Solaris prtconf, that is,
in a nicely readable compact format and a utility for changing
OpenPROM options.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
make

%install
rm -rf %{buildroot}
make all 

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 0755 -s prtconf $RPM_BUILD_ROOT%{_sbindir}/prtconf
install -m 0644 prtconf.8 $RPM_BUILD_ROOT%{_mandir}/man8/prtconf.8
install -m 0755 -s eeprom  $RPM_BUILD_ROOT%{_sbindir}/eeprom
install -m 0644 eeprom.8 $RPM_BUILD_ROOT%{_mandir}/man8/eeprom.8
install -m 0755 -D openprom.modules \
                $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/modules/openprom.modules
 


%files
%defattr(-,root,root,-)
%{_sbindir}/prtconf
%{_sbindir}/eeprom
%{_mandir}/man8/prtconf.8*
%{_mandir}/man8/eeprom.8*
%config %{_sysconfdir}/sysconfig/modules/openprom.modules

%changelog
* Wed Aug 24 2016 Eric Snowberg <eric.snowberg@oracle.com> - 1.3-4.0.6
- Print the correct PROM path for block devices

* Wed Jan 27 2016 Lidza Louina <lidza.louina@oracle.com> - 1.3-4.0.5
- Fixed display of .node when running eeprom

* Wed Dec 30 2015 Babu Moger <babu.moger@oracle.com> - 1.3-4.0.4
- Fixed the -p option in prtconf. More formating for bug 22279996
- All decoded the built-in drivers strings.

* Thu Dec 24 2015 Babu Moger <babu.moger@oracle.com> - 1.3-4.0.3
- Fixed the -p option in prtconf. Show compatible correctly. bug 22279996

* Fri Oct 01 2015 Lidza Louina <lidza.louina@oracle.com> - 1.3-4.0.2
- Fixed the -d option in eeprom. Now shows device paths.

* Fri Jan 23 2015 Philip Copeland <philip.copeland@oracle.com> - 1.3-4.0.1
- Minor tweek provideed by AlexC to allow prtconf to reveal
  some extra info which allows us to figure out if the OBP
  supports using GPT labeled system boot drives. I'll be using
  inside anaconda to determine if a gpt label install is possible
 
* Wed Apr  9 2014 Philip Copeland <philip.copeland@oracle.com> - 1.3-4
- openprom.modules permissions changed (in specfile)

* Tue Mar 19 2013 Philip Copeland <philip.copeland@oracle.com> - 1.3-3
- Add /etc/sysconfig/modules/openprom.modules
  so that on bootup the openprom module is automatically loaded

* Wed Sep 19 2012 philip.copeland <philip.copeland@oracle.com> - 1.3-2
- Re-introduce prtconf for linux on sparc

